<?php

function criarImg($nome, $dir, $tamanho) {
	
	list($width, $height) = getimagesize($dir.$nome); // pegando a altura e largura da foto enviada
	header('Content-type: image/jpeg');
	
	if ($width > $height){ // calculo pra diminuir foto
		$newwidth = $tamanho;
		$newheight = ($height * $tamanho)/$width;
	}else{
		$newheight = $tamanho;
		$newwidth = ($width * $tamanho)/$height;
	}

	// fazendo a nova foto
	$novaFoto = imagecreatetruecolor($newwidth, $newheight);
	$source = imagecreatefromjpeg($dir.$nome);
	imagecopyresized($novaFoto, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
	imagejpeg($novaFoto,$dir.$nome,80); // qualidade da imagem DEFAULT 80
	unset($nome, $dir, $tamanho, $source, $novaFoto, $newwidth, $newheight, $width, $height);

}

?>
